Page MenuHomePhabricator

Template diff should consider empty string as unset
Closed, ResolvedPublic1 Story Points

Description

https://en.wikipedia.org/w/index.php?title=Land_Public_Transport_Commission_(Malaysia)&curid=27606516&diff=843329178&oldid=843329101&diffmode=visual

Gives this message, which isn't very logical:

superseding changed from to ''Absorbed into [[Ministry of Transport (Malaysia)|Ministry of Transport]]''

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFix template param diff when value is empty string

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2018, 12:24 PM
Esanders updated the task description. (Show Details)May 28 2018, 1:56 PM
Esanders set the point value for this task to 1.

Change 435787 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix template param diff when value is empty string

https://gerrit.wikimedia.org/r/435787

Esanders moved this task from To Triage to Current work on the VisualEditor board.May 28 2018, 2:23 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 435787 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix template param diff when value is empty string

https://gerrit.wikimedia.org/r/435787

Deskana closed this task as Resolved.May 31 2018, 9:51 AM
Deskana claimed this task.
Deskana triaged this task as Normal priority.
Vvjjkkii renamed this task from Template diff should consider empty string as unset to f5baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Deskana as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Deskana; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from f5baaaaaaa to Template diff should consider empty string as unset.Jul 2 2018, 3:30 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Deskana.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Deskana.